Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.scripting.expression
Class GroovyExpressionEvaluator

    java.lang.Object
      org.mule.module.scripting.expression.AbstractScriptExpressionEvaluator
          org.mule.module.scripting.expression.GroovyExpressionEvaluator

All Implemented Interfaces:
  MuleContextAware, ExpressionEvaluator, Disposable, NamedObject

    public class GroovyExpressionEvaluator

extends AbstractScriptExpressionEvaluator

An `ExpressionEvaluator` that allows the user to define Groovy expressions to extract data from the current message. If a POJO is passed in it is accessible from the 'payload' namespace. If a `MuleMessage` instance is used then it is accessible from the message' namespace and the 'payload' namespace is also available.

Field Summary
`static String` | `NAME`

Fields inherited from class org.mule.module.scripting.expression.AbstractScriptExpressionEvaluator
`cache, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`GroovyExpressionEvaluator()`

Method Summary
`String` | `getName()` Gets the name of the object

Methods inherited from class org.mule.module.scripting.expression.AbstractScriptExpressionEvaluator
`dispose, evaluate, getScript, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### GroovyExpressionEvaluator

    public GroovyExpressionEvaluator()

Method Detail

### getName

    public String getName()

  Gets the name of the object

  Returns:
    the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.